> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metric aggregations for a project

> Use this endpoint to retrieve metric aggregation data for one project.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/projects/{project_id}/metric-aggregations
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/projects/{project_id}/metric-aggregations:
    get:
      tags:
        - Projects
      summary: Get metric aggregations for a project
      description: Use this endpoint to retrieve metric aggregation data for one project.
      parameters:
        - name: project_id
          in: path
          description: |
            ID of the project

            Allows you to select one of the projects available.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        project_name:
                          type: string
                          description: >-
                            Returns the project name used on the web
                            application.
                        project_id:
                          type: string
                          description: Returns the project ID used on the web application.
                        metric_id:
                          type: string
                          description: Returns the chosen metric for the project(s).
                        metric_aggregation_name:
                          type: string
                          description: >-
                            Returns the chosen metric metric aggregation for the
                            project(s).
                        value:
                          type: string
                          description: Returns the value of the chosen metric aggregation.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````